<? include('checkcookie.php'); 
$idad=mysql_result(mysql_query("SELECT price FROM tb_config WHERE item='antiauto'"),0,0);
$row=mysql_fetch_array(mysql_query("SELECT * FROM tb_ads WHERE id='$idad'"));
?>
<center>Сейчас стоит ссылка:<br>
<a href="<?=$row["url"]; ?>" target="_blank"><?=$row["url"]; ?></a><br>
<?=$row["description"]; ?><br><hr>
<?
if(isset($_POST["ban"]))
{
$gad=$_POST["ban"];
mysql_query("UPDATE tb_users SET popal='ban' WHERE username='$gad'");
echo "<center><b><font color=green>Пользователь $gad Забанен!</font></b></center>";
}
if(isset($_POST["rem"]))
{
$rem=$_POST["rem"];
mysql_query("UPDATE tb_users SET popal='0' WHERE username='$rem'");
echo "<center><b><font color=green>Пользователю $rem Всё простили и забыли</font></b></center>";
}
if(isset($_POST["remban"]))
{
$remban=$_POST["remban"];
mysql_query("UPDATE tb_users SET popal='0' WHERE username='$remban'");
echo "<center><b><font color=green>Пользователь $remban Разбанен!</font></b></center>";
}
?>
<table width=100% class='adn'>
<tr class='liney ell'>
<td align=center>Логин пользователя</td>
<td align=center>Кол-во попаданий</td>
<td align=center>Статус</td>
<td align=center>Время последнего попадания</td>
<td>Действие</td>
<td>Удаление</td>
</tr>
<?
$sql=mysql_query("SELECT popal, popadostime, username FROM tb_users WHERE popal!='0'");
if(mysql_num_rows($sql)==0)
{
echo "</table><center><font color=green><b>Никто не попался!</b></font></ceter>";
exit();
}
while($row=mysql_fetch_array($sql))
{
$login=$row["username"];
$popal=$row["popal"];
$ptime=$row["popadostime"];
$nowtime=time();
$pdate=date("d.m.Y H:i", $ptime);
$razn=$nowtime-$ptime;
?>
<tr class='liney'>
<td align=center><?=$login ?></td>
<td align=center><?  if($popal=='ban') { echo "забанен"; }else{ echo $popal; } ?></td>
<td align=center><?  if($popal=='ban') { echo "<font color=red>забанен</font>"; }else{ echo "<font color=blue>Предупреждён</font>"; } ?></td>
<td align=center><?=$pdate ?></td>
<td align=center>
<? if($popal!='ban') { ?>
<form action="" method="post">
<input type="hidden" name="ban" value="<?=$login ?>">
<input type="submit" value="Забанить!"></form>
<?
}else{
?><form action="" method="POST">
<input type="hidden" name="remban" value="<?=$login ?>">
<input type="submit" value="Разбанить!"></form><? } ?></td>
<td align=center>
<form action="" method="POST">
<input type="hidden" name="rem" value="<?=$login ?>">
<input type="submit" value="Удалить из списка">
</form>
</td></tr>
<?
}
echo "</table>";
exit();
?>